Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 618621 - Language settings not taken into account in some WebUI pages
Language settings not taken into account in some WebUI pages
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 08:01 EDT by Henry Geay de Montenon
Modified: 2015-10-21 19:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-30 13:00:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henry Geay de Montenon 2010-07-27 08:01:57 EDT
Description of problem:
Language preference is set to french, when going to system groups view, the WebUI language falls back to English

Version-Release number of selected component (if applicable):
5.3

How reproducible:
Allways

Steps to Reproduce:
1. Get into "System" view ("systèmes" in french) 
2. Click on "System groups" on the left ("groupes de systèmes")
3. Select a system group
  
Actual results:
The WebUI is now in English untill you select another view

Expected results:
The WebUI should stay in French language
Comment 1 Clifford Perry 2010-07-30 13:00:44 EDT
The Satellite WebUI is not fully translated. 

We have a large minority of the UI which is old perl code (page url ends in .pxt) which is not translated. 

We then have the majority of the UI which is in Java (page url ends in .do) which is translated. The majority of the java pages are translated, but depending on cut-off dates we will have some Java pages which do not have the translated strings to render in other languages. 

It is our continuing goal with each release to have more and more translated, but it is not the main priority within any release to get to 100% coverage.

I hope this information helps.

Please contact Red Hat Support for if you notice something which does not meet the above description of expected behavior. 

Regards,
Cliff.

Note You need to log in before you can comment on or make changes to this bug.